#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.0
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.0-9OrcwBelxXBBRKYswLJQBm-dns-internal
key:                  dns-4.1.0-9OrcwBelxXBBRKYswLJQBm-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  c88b8da856bb6bccd60d636369de1ab9
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-9OrcwBelxXBBRKYswLJQBm-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-IEm3F7WS5yL5UDnm4poSr
    attoparsec-0.14.4-10U3JVdOf0KJjxjEqAIrEh
    auto-update-0.1.6-CUHow5dMgZ4JjwZuLH21Cr base-4.15.1.0
    base16-bytestring-1.0.2.0-StXPox1nBc3AK3ZKrNsOT
    base64-bytestring-1.2.1.0-88nOz7AP8GEI61ac5Ca3UI
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-1Wi7RzsXD9F726hUnvn5V
    hourglass-0.2.12-CqLRJdRhgyi1F5J2Kbfwum
    iproute-1.7.12-AsAVm5ZSTjGGde5YYIehmM mtl-2.2.2
    network-3.1.4.0-23ur646Pq0yGXZtPd0ysVN
    psqueues-0.2.7.3-4sz9PhYZO6IExbTScFTRFw

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.0
visibility:           public
id:                   dns-4.1.0-3B17WGVmolD7bTmCNRodCr
key:                  dns-4.1.0-3B17WGVmolD7bTmCNRodCr
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  1cd61c75d87b8d8fdcc7010401a98d9e
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-3B17WGVmolD7bTmCNRodCr
depends:
    array-0.5.4.0 async-2.2.4-IEm3F7WS5yL5UDnm4poSr
    attoparsec-0.14.4-10U3JVdOf0KJjxjEqAIrEh
    auto-update-0.1.6-CUHow5dMgZ4JjwZuLH21Cr base-4.15.1.0
    base16-bytestring-1.0.2.0-StXPox1nBc3AK3ZKrNsOT
    base64-bytestring-1.2.1.0-88nOz7AP8GEI61ac5Ca3UI
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-1Wi7RzsXD9F726hUnvn5V
    dns-4.1.0-9OrcwBelxXBBRKYswLJQBm-dns-internal
    hourglass-0.2.12-CqLRJdRhgyi1F5J2Kbfwum
    iproute-1.7.12-AsAVm5ZSTjGGde5YYIehmM mtl-2.2.2
    network-3.1.4.0-23ur646Pq0yGXZtPd0ysVN
    psqueues-0.2.7.3-4sz9PhYZO6IExbTScFTRFw

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

